-- POD Example Documentation

puts(1, "To extract the docs for POD, use: pod example.ex\n")

--=head1
--= POD (Plain Old Documentation) Generator v1.02 (8/22/99)
--= ---------------------------------------------------------
--=head2 Q: What does it do?
--=p A: It extracts POD commands from Euphoria source files (e,ex,exu,eu,exw,ew)
--=    and generates documentation (either plain text or HTML) from them.
--=    This allows for intermixing of docs and code in one file [without having to
--=    write separate docs ;)]
--=head2 Q: How do you use it?
--=p A: Comments are a way of documenting source code. POD is a way of documenting
--=    your code _using_ comments. It's very simple: write your comments normally,
--=    except insert a =command after each '--'. Example:
--=p       -- I'm a regular comment.
--=       -- =head1 I am a POD heading.
--=       -- =p I am a POD paragraph.
--=       -- I'm another regular comment.
--=       -- =p I'm a POD paragraph that
--=       -- =  covers more than one line!
--=head2 Supported commands:
--=p  =head1 heading    - heading 1 text (think HTML)
--=  =head2 heading    - heading 2 text.
--=  =p text           - starts a new paragraph; usually used in conjunction with =.
--=  = text            - text formatted as the last =command.
--=head2 Notes:
--=p
--=        * Each POD command covers one line. To continue a command into the next line(s), use =
--=        * Every =command has to be inside a comment. If they're outside one, when you run
--=          the program the interpreter will gag :P
--=        * Using = by itself will format that line with the last =command used. If =p was
--=          last used, then the = lines following it will be part of that paragraph.
